import React from 'react';
import { ParticipantModel } from '../../store';
import { StyledComponent } from '../common';
export interface ParticipantsListProps extends StyledComponent {
    participants: ParticipantModel[];
    dismiss?: () => void;
    participantElement?: React.FC<ParticipantsListElementProps>;
}
export interface ParticipantsListElementProps extends StyledComponent {
    participant: ParticipantModel;
}
export interface OnlineParticipantsListProps extends StyledComponent {
    dismiss?: () => void;
    participantElement?: React.FC<ParticipantsListElementProps>;
}
