import { ZocksMediaActions } from '../../store';
import React from 'react';
import { VirtualBackgroundSelectorProps } from '../VirtualBackgroundSelector';
import { VideoControlButtonProps } from './VideoControlButton';
import { AudioControlButtonProps } from './AudioControlButton';
import { ScreenShareControlButtonProps } from './ScreenShareControlButton';
import { StyledComponent } from '../common';
import { LeaveButtonProps } from './LeaveButton';
export interface RoomControlsProps extends StyledComponent {
    mediaActions: ZocksMediaActions;
    leaveAction: () => void;
    audioControlButtonElement?: React.FC<AudioControlButtonProps>;
    videoControlButtonElement?: React.FC<VideoControlButtonProps>;
    screenShareControlButtonElement?: React.FC<ScreenShareControlButtonProps>;
    leaveButtonElement?: React.FC<LeaveButtonProps>;
    virtualBackgroundSelectorElement?: React.FC<VirtualBackgroundSelectorProps>;
    extraButtonElement?: React.FC;
}
export interface MediaDeviceSelectButtonProps {
    currentDeviceId: string | null;
    onDeviceSelected: (mediaDeviceInfo: MediaDeviceInfo) => void;
}
