import React from 'react'
import { ParticipantProps } from '../Participant'
import { StyledComponent } from '../common'

export interface MultipleParticipantViewProps extends StyledComponent {
  pageSize?: number
  participantElement?: React.FC<ParticipantProps>
}

export interface ScreenShareViewProps extends MultipleParticipantViewProps, StyledComponent {
  screenShareElement?: React.FC<ParticipantProps>
}

export interface ParticipantsProps extends StyledComponent {
  gridPageSize?: number
  speakerPageSize?: number
  screenSharePageSize?: number
  participantElement?: React.FC<ParticipantProps>
  screenShareElement?: React.FC<ParticipantProps>
}
