import { MediaDeviceSelectButtonProps } from '../models'
import { VirtualBackgroundSelectorProps } from '../../VirtualBackgroundSelector'
import { StyledComponent } from '../../common'

interface VideoToggleButtonProps {
  videoIsOn: boolean
  toggleVideo: () => void
  videoIsLoading?: boolean
}

export type VideoControlButtonProps = VideoToggleButtonProps &
  Partial<MediaDeviceSelectButtonProps & VirtualBackgroundSelectorProps> &
  StyledComponent
